<?

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg();
$set['title']='Параметры';
include_once '../../sys/inc/thead.php';
title();
aut();

$act = htmlentities(trim($_GET['act']));

switch($act){
default:

echo '<div class="block_main">Аккаунт</div>';
echo '<a class="link3" href="/user/edit/">Редактировать профиль</a>';
echo '<a class="link3" href="?act=privacy">Приватность</a>';
echo '<a class="link3" href="?act=notify">Уведомления</a>';
echo '<a class="link3" href="?act=lenta">Лента</a>';

echo '<div class="block_main">Настройки</div>';
echo '<a class="link3" href="?act=pass">Сменить пароль</a>';
echo '<a class="link3" href="/modules/info/">Справочный центр</a>';
if (user_access('adm_panel_show')){
echo '<a class="link3" href="/adm_panel/">Админ панель</a>';
}
echo '<a class="link3" href="/modules/shop/">Баланс</a>';
echo '<a class="link3" href="/out"><font color="#ed4956">Выйти</font></a>';

break;

case 'pass':

if (isset($_POST['save'])){
if (isset($_POST['pass']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = $user[id] AND `pass` = '".shif($_POST['pass'])."' LIMIT 1"), 0)==1){
if (isset($_POST['pass1']) && isset($_POST['pass2'])){
if ($_POST['pass1']==$_POST['pass2']){
if (strlen2($_POST['pass1'])<6)$err='По соображениям безопасности новый пароль не может быть короче 6-ти символов';
if (strlen2($_POST['pass1'])>32)$err='Длина пароля превышает 32 символа';
}
else $err='Новый пароль не совпадает с подтверждением';
}
else $err='Введите новый пароль';
}
else $err='Старый пароль неверен';
if (!isset($err)){
mysql_query("UPDATE `user` SET `pass` = '".shif($_POST['pass1'])."' WHERE `id` = '$user[id]' LIMIT 1");
setcookie('pass', cookie_encrypt($_POST['pass1'],$user['id']), time()+60*60*24*365);
msg('Пароль изменен');
}
}

echo '<div class="block">';
echo '<form method="post" action="?'.$passgen.'">';
echo 'Старый пароль:</br>';
echo '<input class="input" type="text" name="pass" value="">';
echo 'Новый пароль:</br>';
echo '<input class="input" type="password" name="pass1" value="">';
echo 'Подтвердите новый пароль:</br>';
echo '<input class="input" type="password" name="pass2" value="">';
echo '<input class="button" type="submit" name="save" value="Сохранить">';
echo '</form>';
echo '</div>';

break;

case 'privacy':

$userSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '".$user['id']."' LIMIT 1"));

if (isset($_POST['save'])){
//Просмотр стр
if (isset($_POST['privat_str']) && ($_POST['privat_str']==0 || $_POST['privat_str']==1 || $_POST['privat_str']==2)){
mysql_query("UPDATE `user_set` SET `privat_str` = '".intval($_POST['privat_str'])."' WHERE `id_user` = '$user[id]'");
}
//Сообщения
if (isset($_POST['privat_mail']) && ($_POST['privat_mail']==0 || $_POST['privat_mail']==1 || $_POST['privat_mail']==2)){
mysql_query("UPDATE `user_set` SET `privat_mail` = '".intval($_POST['privat_mail'])."' WHERE `id_user` = '$user[id]'");
}

$_SESSION['message'] = 'Изменения сохранены';
header('Location: ?act=privacy');
exit;
}

echo '<form action="?act=privacy" method="post">';
//Просмотр стр
echo '<div class="block2">';
echo 'Кто может видеть мою страницу:</br>';
echo '<select class="input" name="privat_str">
<option '.($userSet['privat_str'] == 1 ? ' selected="selected"' : null).' value="1">Все</option>
<option '.($userSet['privat_str'] == 2 ? ' selected="selected"' : null).' value="2">Только друзья</option>
<option '.($userSet['privat_str'] == 0 ? ' selected="selected"' : null).' value="0">Только я</option>
</select>';
//Сообщения
echo 'Кто может писать мне сообщения:</br>';
echo '<select class="input" name="privat_mail">
<option '.($userSet['privat_mail'] == 1 ? ' selected="selected"' : null).' value="1">Все</option>
<option '.($userSet['privat_mail'] == 2 ? ' selected="selected"' : null).' value="2">Только друзья</option>
<option '.($userSet['privat_mail'] == 0 ? ' selected="selected"' : null).' value="0">Только я</option>
</select>';
echo '<input class="button" type="submit" name="save" value="Сохранить">';
echo '</form>';
echo '</div>';

break;

case 'notify':

$notSet = mysql_fetch_array(mysql_query("SELECT * FROM `notification_set` WHERE `id_user` = '".$user['id']."' LIMIT 1"));
if (isset($_POST['save'])){
//Комментарии
if (isset($_POST['komm']) && ($_POST['komm']==0 || $_POST['komm']==1)){
mysql_query("UPDATE `notification_set` SET `komm` = '".intval($_POST['komm'])."' WHERE `id_user` = '$user[id]'");
}
$_SESSION['message'] = 'Изменения сохранены';
header('Location: ?act=notify');
exit;
}

echo '<form action="?act=notify" method="post">';
//Лента фото
echo '<div class="block">';
echo 'Уведомления о комментариях:</br>';
echo '<select class="input" name="komm">
<option '.($notSet['komm']==1?' selected="selected"':null).' value="1">Да</option>
<option '.($notSet['komm']==0?' selected="selected"':null).' value="0">Нет</option>
</select>';
echo '<input class="button" type="submit" name="save" value="Сохранить">';
echo '</form>';
echo '</div>';

break;

case 'lenta':

$lentaSet = mysql_fetch_array(mysql_query("SELECT * FROM `tape_set` WHERE `id_user` = '".$user['id']."' LIMIT 1"));
if (isset($_POST['save'])){
//Лента фото
if (isset($_POST['lenta_foto']) && ($_POST['lenta_foto']==0 || $_POST['lenta_foto']==1)){
mysql_query("UPDATE `tape_set` SET `lenta_foto` = '".intval($_POST['lenta_foto'])."' WHERE `id_user` = '$user[id]'");
}
$_SESSION['message'] = 'Изменения сохранены';
header('Location: ?act=lenta');
exit;
}

echo '<form action="?act=lenta" method="post">';
//Лента фото
echo '<div class="block">';
echo 'Уведомления о новых публикациях:</br>';
echo '<select class="input" name="lenta_foto">
<option '.($lentaSet['lenta_foto']==1?' selected="selected"':null).' value="1">Да</option>
<option '.($lentaSet['lenta_foto']==0?' selected="selected"':null).' value="0">Нет</option>
</select>';
echo '<input class="button" type="submit" name="save" value="Сохранить">';
echo '</div>';
echo '</form>';

break;

}

include_once '../../sys/inc/tfoot.php';

?>